-------------------------------------------------------------------------------
-- hard_temac_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library hard_temac_v3_00_b;
use hard_temac_v3_00_b.All;

entity hard_temac_0_wrapper is
  port (
    EMAC0CLIENTRXD : out std_logic_vector(7 downto 0);
    EMAC0CLIENTRXDVLD : out std_logic;
    EMAC0CLIENTRXDVLDMSW : out std_logic;
    EMAC0CLIENTRXGOODFRAME : out std_logic;
    EMAC0CLIENTRXBADFRAME : out std_logic;
    EMAC0CLIENTRXFRAMEDROP : out std_logic;
    EMAC0CLIENTRXDVREG6 : out std_logic;
    EMAC0CLIENTRXSTATS : out std_logic_vector(6 downto 0);
    EMAC0CLIENTRXSTATSVLD : out std_logic;
    EMAC0CLIENTRXSTATSBYTEVLD : out std_logic;
    CLIENTEMAC0TXD : in std_logic_vector(7 downto 0);
    CLIENTEMAC0TXDVLD : in std_logic;
    CLIENTEMAC0TXDVLDMSW : in std_logic;
    EMAC0CLIENTTXACK : out std_logic;
    CLIENTEMAC0TXUNDERRUN : in std_logic;
    EMAC0CLIENTTXCOLLISION : out std_logic;
    EMAC0CLIENTTXRETRANSMIT : out std_logic;
    CLIENTEMAC0TXIFGDELAY : in std_logic_vector(7 downto 0);
    CLIENTEMAC0TXFIRSTBYTE : in std_logic;
    EMAC0CLIENTTXSTATS : out std_logic;
    EMAC0CLIENTTXSTATSVLD : out std_logic;
    EMAC0CLIENTTXSTATSBYTEVLD : out std_logic;
    CLIENTEMAC0PAUSEREQ : in std_logic;
    CLIENTEMAC0PAUSEVAL : in std_logic_vector(15 downto 0);
    GTX_CLK_0 : in std_logic;
    RX_CLIENT_CLK_0 : out std_logic;
    TX_CLIENT_CLK_0 : out std_logic;
    MII_TXD_0 : out std_logic_vector(3 downto 0);
    MII_TX_EN_0 : out std_logic;
    MII_TX_ER_0 : out std_logic;
    MII_RXD_0 : in std_logic_vector(3 downto 0);
    MII_RX_DV_0 : in std_logic;
    MII_RX_ER_0 : in std_logic;
    MII_RX_CLK_0 : in std_logic;
    MII_TX_CLK_0 : in std_logic;
    GMII_TXD_0 : out std_logic_vector(7 downto 0);
    GMII_TX_EN_0 : out std_logic;
    GMII_TX_ER_0 : out std_logic;
    GMII_TX_CLK_0 : out std_logic;
    GMII_RXD_0 : in std_logic_vector(7 downto 0);
    GMII_RX_DV_0 : in std_logic;
    GMII_RX_ER_0 : in std_logic;
    GMII_RX_CLK_0 : in std_logic;
    TXP_0 : out std_logic;
    TXN_0 : out std_logic;
    RXP_0 : in std_logic;
    RXN_0 : in std_logic;
    RGMII_TXD_0 : out std_logic_vector(3 downto 0);
    RGMII_TX_CTL_0 : out std_logic;
    RGMII_TXC_0 : out std_logic;
    RGMII_RXD_0 : in std_logic_vector(3 downto 0);
    RGMII_RX_CTL_0 : in std_logic;
    RGMII_RXC_0 : in std_logic;
    MDC_0 : out std_logic;
    EMAC0CLIENTANINTERRUPT : out std_logic;
    EMAC1CLIENTRXD : out std_logic_vector(7 downto 0);
    EMAC1CLIENTRXDVLD : out std_logic;
    EMAC1CLIENTRXDVLDMSW : out std_logic;
    EMAC1CLIENTRXGOODFRAME : out std_logic;
    EMAC1CLIENTRXBADFRAME : out std_logic;
    EMAC1CLIENTRXFRAMEDROP : out std_logic;
    EMAC1CLIENTRXDVREG6 : out std_logic;
    EMAC1CLIENTRXSTATS : out std_logic_vector(6 downto 0);
    EMAC1CLIENTRXSTATSVLD : out std_logic;
    EMAC1CLIENTRXSTATSBYTEVLD : out std_logic;
    CLIENTEMAC1TXD : in std_logic_vector(7 downto 0);
    CLIENTEMAC1TXDVLD : in std_logic;
    CLIENTEMAC1TXDVLDMSW : in std_logic;
    EMAC1CLIENTTXACK : out std_logic;
    CLIENTEMAC1TXFIRSTBYTE : in std_logic;
    CLIENTEMAC1TXUNDERRUN : in std_logic;
    EMAC1CLIENTTXCOLLISION : out std_logic;
    EMAC1CLIENTTXRETRANSMIT : out std_logic;
    CLIENTEMAC1TXIFGDELAY : in std_logic_vector(7 downto 0);
    EMAC1CLIENTTXSTATS : out std_logic;
    EMAC1CLIENTTXSTATSVLD : out std_logic;
    EMAC1CLIENTTXSTATSBYTEVLD : out std_logic;
    CLIENTEMAC1PAUSEREQ : in std_logic;
    CLIENTEMAC1PAUSEVAL : in std_logic_vector(15 downto 0);
    GTX_CLK_1 : in std_logic;
    RX_CLIENT_CLK_1 : out std_logic;
    TX_CLIENT_CLK_1 : out std_logic;
    MII_TXD_1 : out std_logic_vector(3 downto 0);
    MII_TX_EN_1 : out std_logic;
    MII_TX_ER_1 : out std_logic;
    MII_RXD_1 : in std_logic_vector(3 downto 0);
    MII_RX_DV_1 : in std_logic;
    MII_RX_ER_1 : in std_logic;
    MII_RX_CLK_1 : in std_logic;
    MII_TX_CLK_1 : in std_logic;
    GMII_TXD_1 : out std_logic_vector(7 downto 0);
    GMII_TX_EN_1 : out std_logic;
    GMII_TX_ER_1 : out std_logic;
    GMII_TX_CLK_1 : out std_logic;
    GMII_RXD_1 : in std_logic_vector(7 downto 0);
    GMII_RX_DV_1 : in std_logic;
    GMII_RX_ER_1 : in std_logic;
    GMII_RX_CLK_1 : in std_logic;
    TXP_1 : out std_logic;
    TXN_1 : out std_logic;
    RXP_1 : in std_logic;
    RXN_1 : in std_logic;
    RGMII_TXD_1 : out std_logic_vector(3 downto 0);
    RGMII_TX_CTL_1 : out std_logic;
    RGMII_TXC_1 : out std_logic;
    RGMII_RXD_1 : in std_logic_vector(3 downto 0);
    RGMII_RX_CTL_1 : in std_logic;
    RGMII_RXC_1 : in std_logic;
    MDC_1 : out std_logic;
    EMAC1CLIENTANINTERRUPT : out std_logic;
    HOSTOPCODE : in std_logic_vector(1 downto 0);
    HOSTREQ : in std_logic;
    HOSTMIIMSEL : in std_logic;
    HOSTADDR : in std_logic_vector(9 downto 0);
    HOSTWRDATA : in std_logic_vector(31 downto 0);
    HOSTMIIMRDY : out std_logic;
    HOSTRDDATA : out std_logic_vector(31 downto 0);
    HOSTEMAC1SEL : in std_logic;
    HOSTCLK : in std_logic;
    MGTCLK_P : in std_logic;
    MGTCLK_N : in std_logic;
    RESET : in std_logic;
    REFCLK : in std_logic;
    MDIO_0_I : in std_logic;
    MDIO_0_O : out std_logic;
    MDIO_0_T : out std_logic;
    MDIO_1_I : in std_logic;
    MDIO_1_O : out std_logic;
    MDIO_1_T : out std_logic
  );
end hard_temac_0_wrapper;

architecture STRUCTURE of hard_temac_0_wrapper is

  component hard_temac is
    generic (
      C_PHY_TYPE : INTEGER;
      C_EMAC1_PRESENT : INTEGER;
      C_TEMAC0_PHYADDR : std_logic_vector;
      C_TEMAC1_PHYADDR : std_logic_vector
    );
    port (
      EMAC0CLIENTRXD : out std_logic_vector(7 downto 0);
      EMAC0CLIENTRXDVLD : out std_logic;
      EMAC0CLIENTRXDVLDMSW : out std_logic;
      EMAC0CLIENTRXGOODFRAME : out std_logic;
      EMAC0CLIENTRXBADFRAME : out std_logic;
      EMAC0CLIENTRXFRAMEDROP : out std_logic;
      EMAC0CLIENTRXDVREG6 : out std_logic;
      EMAC0CLIENTRXSTATS : out std_logic_vector(6 downto 0);
      EMAC0CLIENTRXSTATSVLD : out std_logic;
      EMAC0CLIENTRXSTATSBYTEVLD : out std_logic;
      CLIENTEMAC0TXD : in std_logic_vector(7 downto 0);
      CLIENTEMAC0TXDVLD : in std_logic;
      CLIENTEMAC0TXDVLDMSW : in std_logic;
      EMAC0CLIENTTXACK : out std_logic;
      CLIENTEMAC0TXUNDERRUN : in std_logic;
      EMAC0CLIENTTXCOLLISION : out std_logic;
      EMAC0CLIENTTXRETRANSMIT : out std_logic;
      CLIENTEMAC0TXIFGDELAY : in std_logic_vector(7 downto 0);
      CLIENTEMAC0TXFIRSTBYTE : in std_logic;
      EMAC0CLIENTTXSTATS : out std_logic;
      EMAC0CLIENTTXSTATSVLD : out std_logic;
      EMAC0CLIENTTXSTATSBYTEVLD : out std_logic;
      CLIENTEMAC0PAUSEREQ : in std_logic;
      CLIENTEMAC0PAUSEVAL : in std_logic_vector(15 downto 0);
      GTX_CLK_0 : in std_logic;
      RX_CLIENT_CLK_0 : out std_logic;
      TX_CLIENT_CLK_0 : out std_logic;
      MII_TXD_0 : out std_logic_vector(3 downto 0);
      MII_TX_EN_0 : out std_logic;
      MII_TX_ER_0 : out std_logic;
      MII_RXD_0 : in std_logic_vector(3 downto 0);
      MII_RX_DV_0 : in std_logic;
      MII_RX_ER_0 : in std_logic;
      MII_RX_CLK_0 : in std_logic;
      MII_TX_CLK_0 : in std_logic;
      GMII_TXD_0 : out std_logic_vector(7 downto 0);
      GMII_TX_EN_0 : out std_logic;
      GMII_TX_ER_0 : out std_logic;
      GMII_TX_CLK_0 : out std_logic;
      GMII_RXD_0 : in std_logic_vector(7 downto 0);
      GMII_RX_DV_0 : in std_logic;
      GMII_RX_ER_0 : in std_logic;
      GMII_RX_CLK_0 : in std_logic;
      TXP_0 : out std_logic;
      TXN_0 : out std_logic;
      RXP_0 : in std_logic;
      RXN_0 : in std_logic;
      RGMII_TXD_0 : out std_logic_vector(3 downto 0);
      RGMII_TX_CTL_0 : out std_logic;
      RGMII_TXC_0 : out std_logic;
      RGMII_RXD_0 : in std_logic_vector(3 downto 0);
      RGMII_RX_CTL_0 : in std_logic;
      RGMII_RXC_0 : in std_logic;
      MDC_0 : out std_logic;
      EMAC0CLIENTANINTERRUPT : out std_logic;
      EMAC1CLIENTRXD : out std_logic_vector(7 downto 0);
      EMAC1CLIENTRXDVLD : out std_logic;
      EMAC1CLIENTRXDVLDMSW : out std_logic;
      EMAC1CLIENTRXGOODFRAME : out std_logic;
      EMAC1CLIENTRXBADFRAME : out std_logic;
      EMAC1CLIENTRXFRAMEDROP : out std_logic;
      EMAC1CLIENTRXDVREG6 : out std_logic;
      EMAC1CLIENTRXSTATS : out std_logic_vector(6 downto 0);
      EMAC1CLIENTRXSTATSVLD : out std_logic;
      EMAC1CLIENTRXSTATSBYTEVLD : out std_logic;
      CLIENTEMAC1TXD : in std_logic_vector(7 downto 0);
      CLIENTEMAC1TXDVLD : in std_logic;
      CLIENTEMAC1TXDVLDMSW : in std_logic;
      EMAC1CLIENTTXACK : out std_logic;
      CLIENTEMAC1TXFIRSTBYTE : in std_logic;
      CLIENTEMAC1TXUNDERRUN : in std_logic;
      EMAC1CLIENTTXCOLLISION : out std_logic;
      EMAC1CLIENTTXRETRANSMIT : out std_logic;
      CLIENTEMAC1TXIFGDELAY : in std_logic_vector(7 downto 0);
      EMAC1CLIENTTXSTATS : out std_logic;
      EMAC1CLIENTTXSTATSVLD : out std_logic;
      EMAC1CLIENTTXSTATSBYTEVLD : out std_logic;
      CLIENTEMAC1PAUSEREQ : in std_logic;
      CLIENTEMAC1PAUSEVAL : in std_logic_vector(15 downto 0);
      GTX_CLK_1 : in std_logic;
      RX_CLIENT_CLK_1 : out std_logic;
      TX_CLIENT_CLK_1 : out std_logic;
      MII_TXD_1 : out std_logic_vector(3 downto 0);
      MII_TX_EN_1 : out std_logic;
      MII_TX_ER_1 : out std_logic;
      MII_RXD_1 : in std_logic_vector(3 downto 0);
      MII_RX_DV_1 : in std_logic;
      MII_RX_ER_1 : in std_logic;
      MII_RX_CLK_1 : in std_logic;
      MII_TX_CLK_1 : in std_logic;
      GMII_TXD_1 : out std_logic_vector(7 downto 0);
      GMII_TX_EN_1 : out std_logic;
      GMII_TX_ER_1 : out std_logic;
      GMII_TX_CLK_1 : out std_logic;
      GMII_RXD_1 : in std_logic_vector(7 downto 0);
      GMII_RX_DV_1 : in std_logic;
      GMII_RX_ER_1 : in std_logic;
      GMII_RX_CLK_1 : in std_logic;
      TXP_1 : out std_logic;
      TXN_1 : out std_logic;
      RXP_1 : in std_logic;
      RXN_1 : in std_logic;
      RGMII_TXD_1 : out std_logic_vector(3 downto 0);
      RGMII_TX_CTL_1 : out std_logic;
      RGMII_TXC_1 : out std_logic;
      RGMII_RXD_1 : in std_logic_vector(3 downto 0);
      RGMII_RX_CTL_1 : in std_logic;
      RGMII_RXC_1 : in std_logic;
      MDC_1 : out std_logic;
      EMAC1CLIENTANINTERRUPT : out std_logic;
      HOSTOPCODE : in std_logic_vector(1 downto 0);
      HOSTREQ : in std_logic;
      HOSTMIIMSEL : in std_logic;
      HOSTADDR : in std_logic_vector(9 downto 0);
      HOSTWRDATA : in std_logic_vector(31 downto 0);
      HOSTMIIMRDY : out std_logic;
      HOSTRDDATA : out std_logic_vector(31 downto 0);
      HOSTEMAC1SEL : in std_logic;
      HOSTCLK : in std_logic;
      MGTCLK_P : in std_logic;
      MGTCLK_N : in std_logic;
      RESET : in std_logic;
      REFCLK : in std_logic;
      MDIO_0_I : in std_logic;
      MDIO_0_O : out std_logic;
      MDIO_0_T : out std_logic;
      MDIO_1_I : in std_logic;
      MDIO_1_O : out std_logic;
      MDIO_1_T : out std_logic
    );
  end component;

  attribute x_core_info : STRING;
  attribute x_core_info of hard_temac : component is "hard_temac_v3_00_b";

begin

  hard_temac_0 : hard_temac
    generic map (
      C_PHY_TYPE => 1,
      C_EMAC1_PRESENT => 0,
      C_TEMAC0_PHYADDR => "00001",
      C_TEMAC1_PHYADDR => "00010"
    )
    port map (
      EMAC0CLIENTRXD => EMAC0CLIENTRXD,
      EMAC0CLIENTRXDVLD => EMAC0CLIENTRXDVLD,
      EMAC0CLIENTRXDVLDMSW => EMAC0CLIENTRXDVLDMSW,
      EMAC0CLIENTRXGOODFRAME => EMAC0CLIENTRXGOODFRAME,
      EMAC0CLIENTRXBADFRAME => EMAC0CLIENTRXBADFRAME,
      EMAC0CLIENTRXFRAMEDROP => EMAC0CLIENTRXFRAMEDROP,
      EMAC0CLIENTRXDVREG6 => EMAC0CLIENTRXDVREG6,
      EMAC0CLIENTRXSTATS => EMAC0CLIENTRXSTATS,
      EMAC0CLIENTRXSTATSVLD => EMAC0CLIENTRXSTATSVLD,
      EMAC0CLIENTRXSTATSBYTEVLD => EMAC0CLIENTRXSTATSBYTEVLD,
      CLIENTEMAC0TXD => CLIENTEMAC0TXD,
      CLIENTEMAC0TXDVLD => CLIENTEMAC0TXDVLD,
      CLIENTEMAC0TXDVLDMSW => CLIENTEMAC0TXDVLDMSW,
      EMAC0CLIENTTXACK => EMAC0CLIENTTXACK,
      CLIENTEMAC0TXUNDERRUN => CLIENTEMAC0TXUNDERRUN,
      EMAC0CLIENTTXCOLLISION => EMAC0CLIENTTXCOLLISION,
      EMAC0CLIENTTXRETRANSMIT => EMAC0CLIENTTXRETRANSMIT,
      CLIENTEMAC0TXIFGDELAY => CLIENTEMAC0TXIFGDELAY,
      CLIENTEMAC0TXFIRSTBYTE => CLIENTEMAC0TXFIRSTBYTE,
      EMAC0CLIENTTXSTATS => EMAC0CLIENTTXSTATS,
      EMAC0CLIENTTXSTATSVLD => EMAC0CLIENTTXSTATSVLD,
      EMAC0CLIENTTXSTATSBYTEVLD => EMAC0CLIENTTXSTATSBYTEVLD,
      CLIENTEMAC0PAUSEREQ => CLIENTEMAC0PAUSEREQ,
      CLIENTEMAC0PAUSEVAL => CLIENTEMAC0PAUSEVAL,
      GTX_CLK_0 => GTX_CLK_0,
      RX_CLIENT_CLK_0 => RX_CLIENT_CLK_0,
      TX_CLIENT_CLK_0 => TX_CLIENT_CLK_0,
      MII_TXD_0 => MII_TXD_0,
      MII_TX_EN_0 => MII_TX_EN_0,
      MII_TX_ER_0 => MII_TX_ER_0,
      MII_RXD_0 => MII_RXD_0,
      MII_RX_DV_0 => MII_RX_DV_0,
      MII_RX_ER_0 => MII_RX_ER_0,
      MII_RX_CLK_0 => MII_RX_CLK_0,
      MII_TX_CLK_0 => MII_TX_CLK_0,
      GMII_TXD_0 => GMII_TXD_0,
      GMII_TX_EN_0 => GMII_TX_EN_0,
      GMII_TX_ER_0 => GMII_TX_ER_0,
      GMII_TX_CLK_0 => GMII_TX_CLK_0,
      GMII_RXD_0 => GMII_RXD_0,
      GMII_RX_DV_0 => GMII_RX_DV_0,
      GMII_RX_ER_0 => GMII_RX_ER_0,
      GMII_RX_CLK_0 => GMII_RX_CLK_0,
      TXP_0 => TXP_0,
      TXN_0 => TXN_0,
      RXP_0 => RXP_0,
      RXN_0 => RXN_0,
      RGMII_TXD_0 => RGMII_TXD_0,
      RGMII_TX_CTL_0 => RGMII_TX_CTL_0,
      RGMII_TXC_0 => RGMII_TXC_0,
      RGMII_RXD_0 => RGMII_RXD_0,
      RGMII_RX_CTL_0 => RGMII_RX_CTL_0,
      RGMII_RXC_0 => RGMII_RXC_0,
      MDC_0 => MDC_0,
      EMAC0CLIENTANINTERRUPT => EMAC0CLIENTANINTERRUPT,
      EMAC1CLIENTRXD => EMAC1CLIENTRXD,
      EMAC1CLIENTRXDVLD => EMAC1CLIENTRXDVLD,
      EMAC1CLIENTRXDVLDMSW => EMAC1CLIENTRXDVLDMSW,
      EMAC1CLIENTRXGOODFRAME => EMAC1CLIENTRXGOODFRAME,
      EMAC1CLIENTRXBADFRAME => EMAC1CLIENTRXBADFRAME,
      EMAC1CLIENTRXFRAMEDROP => EMAC1CLIENTRXFRAMEDROP,
      EMAC1CLIENTRXDVREG6 => EMAC1CLIENTRXDVREG6,
      EMAC1CLIENTRXSTATS => EMAC1CLIENTRXSTATS,
      EMAC1CLIENTRXSTATSVLD => EMAC1CLIENTRXSTATSVLD,
      EMAC1CLIENTRXSTATSBYTEVLD => EMAC1CLIENTRXSTATSBYTEVLD,
      CLIENTEMAC1TXD => CLIENTEMAC1TXD,
      CLIENTEMAC1TXDVLD => CLIENTEMAC1TXDVLD,
      CLIENTEMAC1TXDVLDMSW => CLIENTEMAC1TXDVLDMSW,
      EMAC1CLIENTTXACK => EMAC1CLIENTTXACK,
      CLIENTEMAC1TXFIRSTBYTE => CLIENTEMAC1TXFIRSTBYTE,
      CLIENTEMAC1TXUNDERRUN => CLIENTEMAC1TXUNDERRUN,
      EMAC1CLIENTTXCOLLISION => EMAC1CLIENTTXCOLLISION,
      EMAC1CLIENTTXRETRANSMIT => EMAC1CLIENTTXRETRANSMIT,
      CLIENTEMAC1TXIFGDELAY => CLIENTEMAC1TXIFGDELAY,
      EMAC1CLIENTTXSTATS => EMAC1CLIENTTXSTATS,
      EMAC1CLIENTTXSTATSVLD => EMAC1CLIENTTXSTATSVLD,
      EMAC1CLIENTTXSTATSBYTEVLD => EMAC1CLIENTTXSTATSBYTEVLD,
      CLIENTEMAC1PAUSEREQ => CLIENTEMAC1PAUSEREQ,
      CLIENTEMAC1PAUSEVAL => CLIENTEMAC1PAUSEVAL,
      GTX_CLK_1 => GTX_CLK_1,
      RX_CLIENT_CLK_1 => RX_CLIENT_CLK_1,
      TX_CLIENT_CLK_1 => TX_CLIENT_CLK_1,
      MII_TXD_1 => MII_TXD_1,
      MII_TX_EN_1 => MII_TX_EN_1,
      MII_TX_ER_1 => MII_TX_ER_1,
      MII_RXD_1 => MII_RXD_1,
      MII_RX_DV_1 => MII_RX_DV_1,
      MII_RX_ER_1 => MII_RX_ER_1,
      MII_RX_CLK_1 => MII_RX_CLK_1,
      MII_TX_CLK_1 => MII_TX_CLK_1,
      GMII_TXD_1 => GMII_TXD_1,
      GMII_TX_EN_1 => GMII_TX_EN_1,
      GMII_TX_ER_1 => GMII_TX_ER_1,
      GMII_TX_CLK_1 => GMII_TX_CLK_1,
      GMII_RXD_1 => GMII_RXD_1,
      GMII_RX_DV_1 => GMII_RX_DV_1,
      GMII_RX_ER_1 => GMII_RX_ER_1,
      GMII_RX_CLK_1 => GMII_RX_CLK_1,
      TXP_1 => TXP_1,
      TXN_1 => TXN_1,
      RXP_1 => RXP_1,
      RXN_1 => RXN_1,
      RGMII_TXD_1 => RGMII_TXD_1,
      RGMII_TX_CTL_1 => RGMII_TX_CTL_1,
      RGMII_TXC_1 => RGMII_TXC_1,
      RGMII_RXD_1 => RGMII_RXD_1,
      RGMII_RX_CTL_1 => RGMII_RX_CTL_1,
      RGMII_RXC_1 => RGMII_RXC_1,
      MDC_1 => MDC_1,
      EMAC1CLIENTANINTERRUPT => EMAC1CLIENTANINTERRUPT,
      HOSTOPCODE => HOSTOPCODE,
      HOSTREQ => HOSTREQ,
      HOSTMIIMSEL => HOSTMIIMSEL,
      HOSTADDR => HOSTADDR,
      HOSTWRDATA => HOSTWRDATA,
      HOSTMIIMRDY => HOSTMIIMRDY,
      HOSTRDDATA => HOSTRDDATA,
      HOSTEMAC1SEL => HOSTEMAC1SEL,
      HOSTCLK => HOSTCLK,
      MGTCLK_P => MGTCLK_P,
      MGTCLK_N => MGTCLK_N,
      RESET => RESET,
      REFCLK => REFCLK,
      MDIO_0_I => MDIO_0_I,
      MDIO_0_O => MDIO_0_O,
      MDIO_0_T => MDIO_0_T,
      MDIO_1_I => MDIO_1_I,
      MDIO_1_O => MDIO_1_O,
      MDIO_1_T => MDIO_1_T
    );

end architecture STRUCTURE;

