-------------------------------------------------------------------------------
-- system_stub.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity system_stub is
  port (
    fpga_0_RS232_Uart_RX_pin : in std_logic;
    fpga_0_RS232_Uart_TX_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_Clk_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_Clkn_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_Addr_pin : out std_logic_vector(0 to 12);
    fpga_0_DDR_SDRAM_64Mx32_DDR_BankAddr_pin : out std_logic_vector(0 to 1);
    fpga_0_DDR_SDRAM_64Mx32_DDR_CASn_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_CKE_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_CSn_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_RASn_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_WEn_pin : out std_logic;
    fpga_0_DDR_SDRAM_64Mx32_DDR_DM_pin : out std_logic_vector(0 to 3);
    fpga_0_DDR_SDRAM_64Mx32_DDR_DQS_pin : inout std_logic_vector(0 to 3);
    fpga_0_DDR_SDRAM_64Mx32_DDR_DQ_pin : inout std_logic_vector(0 to 31);
    fpga_0_Hard_Temac_0_GMII_TXD_0 : out std_logic_vector(7 downto 0);
    fpga_0_Hard_Temac_0_GMII_TX_EN_0 : out std_logic;
    fpga_0_Hard_Temac_0_GMII_TX_ER_0 : out std_logic;
    fpga_0_Hard_Temac_0_GMII_TX_CLK_0 : out std_logic;
    fpga_0_Hard_Temac_0_GMII_RXD_0 : in std_logic_vector(7 downto 0);
    fpga_0_Hard_Temac_0_GMII_RX_DV_0 : in std_logic;
    fpga_0_Hard_Temac_0_GMII_RX_ER_0 : in std_logic;
    fpga_0_Hard_Temac_0_GMII_RX_CLK_0 : in std_logic;
    fpga_0_Hard_Temac_0_MII_TX_CLK_0 : in std_logic;
    fpga_0_Hard_Temac_0_MDIO_0_pin : inout std_logic;
    fpga_0_Hard_Temac_0_MDC_0_pin : out std_logic;
    fpga_0_TriMode_MAC_GMII_PhyResetN_pin : out std_logic;
    fpga_0_SRAM_256Kx32_Mem_A_pin : out std_logic_vector(9 to 29);
    fpga_0_SRAM_256Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
    fpga_0_SRAM_256Kx32_Mem_WEN_pin : out std_logic;
    fpga_0_SRAM_256Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
    fpga_0_SRAM_256Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
    fpga_0_SRAM_256Kx32_Mem_ADV_LDN_pin : out std_logic;
    fpga_0_SRAM_256Kx32_SRAM_CEN_pin : out std_logic;
    fpga_0_DDR_CLK_FB : in std_logic;
    fpga_0_SRAM_CLOCK : out std_logic;
    sys_clk_pin : in std_logic;
    sys_rst_pin : in std_logic
  );
end system_stub;

architecture STRUCTURE of system_stub is

  component system is
    port (
      fpga_0_RS232_Uart_RX_pin : in std_logic;
      fpga_0_RS232_Uart_TX_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_Clk_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_Clkn_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_Addr_pin : out std_logic_vector(0 to 12);
      fpga_0_DDR_SDRAM_64Mx32_DDR_BankAddr_pin : out std_logic_vector(0 to 1);
      fpga_0_DDR_SDRAM_64Mx32_DDR_CASn_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_CKE_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_CSn_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_RASn_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_WEn_pin : out std_logic;
      fpga_0_DDR_SDRAM_64Mx32_DDR_DM_pin : out std_logic_vector(0 to 3);
      fpga_0_DDR_SDRAM_64Mx32_DDR_DQS_pin : inout std_logic_vector(0 to 3);
      fpga_0_DDR_SDRAM_64Mx32_DDR_DQ_pin : inout std_logic_vector(0 to 31);
      fpga_0_Hard_Temac_0_GMII_TXD_0 : out std_logic_vector(7 downto 0);
      fpga_0_Hard_Temac_0_GMII_TX_EN_0 : out std_logic;
      fpga_0_Hard_Temac_0_GMII_TX_ER_0 : out std_logic;
      fpga_0_Hard_Temac_0_GMII_TX_CLK_0 : out std_logic;
      fpga_0_Hard_Temac_0_GMII_RXD_0 : in std_logic_vector(7 downto 0);
      fpga_0_Hard_Temac_0_GMII_RX_DV_0 : in std_logic;
      fpga_0_Hard_Temac_0_GMII_RX_ER_0 : in std_logic;
      fpga_0_Hard_Temac_0_GMII_RX_CLK_0 : in std_logic;
      fpga_0_Hard_Temac_0_MII_TX_CLK_0 : in std_logic;
      fpga_0_Hard_Temac_0_MDIO_0_pin : inout std_logic;
      fpga_0_Hard_Temac_0_MDC_0_pin : out std_logic;
      fpga_0_TriMode_MAC_GMII_PhyResetN_pin : out std_logic;
      fpga_0_SRAM_256Kx32_Mem_A_pin : out std_logic_vector(9 to 29);
      fpga_0_SRAM_256Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
      fpga_0_SRAM_256Kx32_Mem_WEN_pin : out std_logic;
      fpga_0_SRAM_256Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
      fpga_0_SRAM_256Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
      fpga_0_SRAM_256Kx32_Mem_ADV_LDN_pin : out std_logic;
      fpga_0_SRAM_256Kx32_SRAM_CEN_pin : out std_logic;
      fpga_0_DDR_CLK_FB : in std_logic;
      fpga_0_SRAM_CLOCK : out std_logic;
      sys_clk_pin : in std_logic;
      sys_rst_pin : in std_logic
    );
  end component;

begin

  system_i : system
    port map (
      fpga_0_RS232_Uart_RX_pin => fpga_0_RS232_Uart_RX_pin,
      fpga_0_RS232_Uart_TX_pin => fpga_0_RS232_Uart_TX_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_Clk_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_Clk_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_Clkn_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_Clkn_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_Addr_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_Addr_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_BankAddr_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_BankAddr_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_CASn_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_CASn_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_CKE_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_CKE_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_CSn_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_CSn_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_RASn_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_RASn_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_WEn_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_WEn_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_DM_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_DM_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_DQS_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_DQS_pin,
      fpga_0_DDR_SDRAM_64Mx32_DDR_DQ_pin => fpga_0_DDR_SDRAM_64Mx32_DDR_DQ_pin,
      fpga_0_Hard_Temac_0_GMII_TXD_0 => fpga_0_Hard_Temac_0_GMII_TXD_0,
      fpga_0_Hard_Temac_0_GMII_TX_EN_0 => fpga_0_Hard_Temac_0_GMII_TX_EN_0,
      fpga_0_Hard_Temac_0_GMII_TX_ER_0 => fpga_0_Hard_Temac_0_GMII_TX_ER_0,
      fpga_0_Hard_Temac_0_GMII_TX_CLK_0 => fpga_0_Hard_Temac_0_GMII_TX_CLK_0,
      fpga_0_Hard_Temac_0_GMII_RXD_0 => fpga_0_Hard_Temac_0_GMII_RXD_0,
      fpga_0_Hard_Temac_0_GMII_RX_DV_0 => fpga_0_Hard_Temac_0_GMII_RX_DV_0,
      fpga_0_Hard_Temac_0_GMII_RX_ER_0 => fpga_0_Hard_Temac_0_GMII_RX_ER_0,
      fpga_0_Hard_Temac_0_GMII_RX_CLK_0 => fpga_0_Hard_Temac_0_GMII_RX_CLK_0,
      fpga_0_Hard_Temac_0_MII_TX_CLK_0 => fpga_0_Hard_Temac_0_MII_TX_CLK_0,
      fpga_0_Hard_Temac_0_MDIO_0_pin => fpga_0_Hard_Temac_0_MDIO_0_pin,
      fpga_0_Hard_Temac_0_MDC_0_pin => fpga_0_Hard_Temac_0_MDC_0_pin,
      fpga_0_TriMode_MAC_GMII_PhyResetN_pin => fpga_0_TriMode_MAC_GMII_PhyResetN_pin,
      fpga_0_SRAM_256Kx32_Mem_A_pin => fpga_0_SRAM_256Kx32_Mem_A_pin,
      fpga_0_SRAM_256Kx32_Mem_BEN_pin => fpga_0_SRAM_256Kx32_Mem_BEN_pin,
      fpga_0_SRAM_256Kx32_Mem_WEN_pin => fpga_0_SRAM_256Kx32_Mem_WEN_pin,
      fpga_0_SRAM_256Kx32_Mem_DQ_pin => fpga_0_SRAM_256Kx32_Mem_DQ_pin,
      fpga_0_SRAM_256Kx32_Mem_OEN_pin => fpga_0_SRAM_256Kx32_Mem_OEN_pin(0 to 0),
      fpga_0_SRAM_256Kx32_Mem_ADV_LDN_pin => fpga_0_SRAM_256Kx32_Mem_ADV_LDN_pin,
      fpga_0_SRAM_256Kx32_SRAM_CEN_pin => fpga_0_SRAM_256Kx32_SRAM_CEN_pin,
      fpga_0_DDR_CLK_FB => fpga_0_DDR_CLK_FB,
      fpga_0_SRAM_CLOCK => fpga_0_SRAM_CLOCK,
      sys_clk_pin => sys_clk_pin,
      sys_rst_pin => sys_rst_pin
    );

end architecture STRUCTURE;

