-------------------------------------------------------------------------------
-- trimode_mac_gmii_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library plb_temac_v3_00_a;
use plb_temac_v3_00_a.All;

entity trimode_mac_gmii_wrapper is
  port (
    PLB_Clk : in std_logic;
    PLB_Rst : in std_logic;
    IP2INTC_Irpt : out std_logic;
    PLB_ABus : in std_logic_vector(0 to 31);
    PLB_PAValid : in std_logic;
    PLB_SAValid : in std_logic;
    PLB_rdPrim : in std_logic;
    PLB_wrPrim : in std_logic;
    PLB_masterID : in std_logic_vector(0 to 1);
    PLB_abort : in std_logic;
    PLB_busLock : in std_logic;
    PLB_RNW : in std_logic;
    PLB_BE : in std_logic_vector(0 to 7);
    PLB_MSize : in std_logic_vector(0 to 1);
    PLB_size : in std_logic_vector(0 to 3);
    PLB_type : in std_logic_vector(0 to 2);
    PLB_compress : in std_logic;
    PLB_guarded : in std_logic;
    PLB_ordered : in std_logic;
    PLB_lockErr : in std_logic;
    PLB_wrDBus : in std_logic_vector(0 to 63);
    PLB_wrBurst : in std_logic;
    PLB_rdBurst : in std_logic;
    PLB_pendReq : in std_logic;
    PLB_pendPri : in std_logic_vector(0 to 1);
    PLB_reqPri : in std_logic_vector(0 to 1);
    Sl_addrAck : out std_logic;
    Sl_SSize : out std_logic_vector(0 to 1);
    Sl_wait : out std_logic;
    Sl_rearbitrate : out std_logic;
    Sl_wrDAck : out std_logic;
    Sl_wrComp : out std_logic;
    Sl_wrBTerm : out std_logic;
    Sl_rdDBus : out std_logic_vector(0 to 63);
    Sl_rdWdAddr : out std_logic_vector(0 to 3);
    Sl_rdDAck : out std_logic;
    Sl_rdComp : out std_logic;
    Sl_rdBTerm : out std_logic;
    Sl_MBusy : out std_logic_vector(0 to 2);
    Sl_MErr : out std_logic_vector(0 to 2);
    PLB_MAddrAck : in std_logic;
    PLB_MSSize : in std_logic_vector(0 to 1);
    PLB_MRearbitrate : in std_logic;
    PLB_MBusy : in std_logic;
    PLB_MErr : in std_logic;
    PLB_MWrDAck : in std_logic;
    PLB_MRdDBus : in std_logic_vector(0 to 63);
    PLB_MRdWdAddr : in std_logic_vector(0 to 3);
    PLB_MRdDAck : in std_logic;
    PLB_MRdBTerm : in std_logic;
    PLB_MWrBTerm : in std_logic;
    M_request : out std_logic;
    M_priority : out std_logic_vector(0 to 1);
    M_busLock : out std_logic;
    M_RNW : out std_logic;
    M_BE : out std_logic_vector(0 to 7);
    M_MSize : out std_logic_vector(0 to 1);
    M_size : out std_logic_vector(0 to 3);
    M_type : out std_logic_vector(0 to 2);
    M_compress : out std_logic;
    M_guarded : out std_logic;
    M_ordered : out std_logic;
    M_lockErr : out std_logic;
    M_abort : out std_logic;
    M_ABus : out std_logic_vector(0 to 31);
    M_wrDBus : out std_logic_vector(0 to 63);
    M_wrBurst : out std_logic;
    M_rdBurst : out std_logic;
    EmacClientRxd : in std_logic_vector(7 downto 0);
    EmacClientRxdVld : in std_logic;
    EmacClientRxdVldMsw : in std_logic;
    EmacClientRxGoodFrame : in std_logic;
    EmacClientRxBadFrame : in std_logic;
    EmacClientRxFrameDrop : in std_logic;
    EmacClientRxdVreg6 : in std_logic;
    EmacClientRxStats : in std_logic_vector(6 downto 0);
    EmacClientRxStatsByteVld : in std_logic;
    EmacClientRxStatsVld : in std_logic;
    ClientEmacTxd : out std_logic_vector(7 downto 0);
    ClientEmacTxdVld : out std_logic;
    ClientEmacTxdVldMsw : out std_logic;
    EmacClientTxAck : in std_logic;
    ClientEmacTxUnderRun : out std_logic;
    EmacClientTxCollision : in std_logic;
    EmacClientTxRetransmit : in std_logic;
    ClientEmacTxFirstByte : out std_logic;
    EmacClientTxStats : in std_logic;
    EmacClientTxStatsByteVld : in std_logic;
    EmacClientTxStatsVld : in std_logic;
    ClientEmacPauseReq : out std_logic;
    ClientEmacPauseVal : out std_logic_vector(15 downto 0);
    RX_CLIENT_CLK : in std_logic;
    TX_CLIENT_CLK : in std_logic;
    EmacClientAnInterrupt : in std_logic;
    HostOpCode : out std_logic_vector(1 downto 0);
    HostReq : out std_logic;
    HostMiimSel : out std_logic;
    HostAddr : out std_logic_vector(9 downto 0);
    HostWrData : out std_logic_vector(31 downto 0);
    HostMiimRdy : in std_logic;
    HostRdData : in std_logic_vector(31 downto 0);
    HostEmac1Sel : out std_logic;
    HostClk : out std_logic;
    Prv_Host_Req : in std_logic;
    Prv_Host_Addr : in std_logic_vector(22 to 31);
    Prv_Host_Rd_Req : in std_logic;
    Prv_Host_Rd_Ack : out std_logic;
    Prv_Host_Rd_Data : out std_logic_vector(0 to 31);
    Prv_Host_Wr_Req : in std_logic;
    Prv_Host_Wr_Ack : out std_logic;
    Prv_MiiMngmntOpPend : out std_logic;
    Prv_MiiMngmntOpDone : out std_logic;
    Prv_Host_Wr_Data : in std_logic_vector(0 to 31);
    Cmd_Host_Req : out std_logic;
    Cmd_Host_Addr : out std_logic_vector(22 to 31);
    Cmd_Host_Rd_Req : out std_logic;
    Cmd_Host_Rd_Ack : in std_logic;
    Cmd_Host_Rd_Data : in std_logic_vector(0 to 31);
    Cmd_Host_Wr_Req : out std_logic;
    Cmd_Host_Wr_Ack : in std_logic;
    Cmd_MiiMngmntOpPend : in std_logic;
    Cmd_MiiMngmntOpDone : in std_logic;
    Cmd_Host_Wr_Data : out std_logic_vector(0 to 31);
    Emac_Reset : out std_logic;
    PhyResetN : out std_logic
  );
end trimode_mac_gmii_wrapper;

architecture STRUCTURE of trimode_mac_gmii_wrapper is

  component plb_temac is
    generic (
      C_DEV_BLK_ID : INTEGER;
      C_PLB_CLK_PERIOD_PS : INTEGER;
      C_FAMILY : STRING;
      C_TXFIFO_DEPTH : INTEGER;
      C_RXFIFO_DEPTH : INTEGER;
      C_MAC_FIFO_DEPTH : INTEGER;
      C_BASEADDR : std_logic_vector;
      C_HIGHADDR : std_logic_vector;
      C_INCLUDE_RX_CSUM : INTEGER;
      C_INCLUDE_TX_CSUM : INTEGER;
      C_INCLUDE_DEV_MIR : INTEGER;
      C_RX_DRE_TYPE : INTEGER;
      C_TX_DRE_TYPE : INTEGER;
      C_DMA_TYPE : INTEGER;
      C_PLB_NUM_MASTERS : INTEGER;
      C_PLB_MID_WIDTH : INTEGER;
      C_PLB_AWIDTH : INTEGER;
      C_PLB_DWIDTH : INTEGER;
      C_TEMAC_INST : INTEGER;
      C_TEMAC_BOTH_USED : INTEGER
    );
    port (
      PLB_Clk : in std_logic;
      PLB_Rst : in std_logic;
      IP2INTC_Irpt : out std_logic;
      PLB_ABus : in std_logic_vector(0 to (C_PLB_AWIDTH-1));
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_rdPrim : in std_logic;
      PLB_wrPrim : in std_logic;
      PLB_masterID : in std_logic_vector(0 to (C_PLB_MID_WIDTH-1));
      PLB_abort : in std_logic;
      PLB_busLock : in std_logic;
      PLB_RNW : in std_logic;
      PLB_BE : in std_logic_vector(0 to ((C_PLB_DWIDTH/8)-1));
      PLB_MSize : in std_logic_vector(0 to 1);
      PLB_size : in std_logic_vector(0 to 3);
      PLB_type : in std_logic_vector(0 to 2);
      PLB_compress : in std_logic;
      PLB_guarded : in std_logic;
      PLB_ordered : in std_logic;
      PLB_lockErr : in std_logic;
      PLB_wrDBus : in std_logic_vector(0 to (C_PLB_DWIDTH-1));
      PLB_wrBurst : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_pendReq : in std_logic;
      PLB_pendPri : in std_logic_vector(0 to 1);
      PLB_reqPri : in std_logic_vector(0 to 1);
      Sl_addrAck : out std_logic;
      Sl_SSize : out std_logic_vector(0 to 1);
      Sl_wait : out std_logic;
      Sl_rearbitrate : out std_logic;
      Sl_wrDAck : out std_logic;
      Sl_wrComp : out std_logic;
      Sl_wrBTerm : out std_logic;
      Sl_rdDBus : out std_logic_vector(0 to (C_PLB_DWIDTH-1));
      Sl_rdWdAddr : out std_logic_vector(0 to 3);
      Sl_rdDAck : out std_logic;
      Sl_rdComp : out std_logic;
      Sl_rdBTerm : out std_logic;
      Sl_MBusy : out std_logic_vector(0 to (C_PLB_NUM_MASTERS-1));
      Sl_MErr : out std_logic_vector(0 to (C_PLB_NUM_MASTERS-1));
      PLB_MAddrAck : in std_logic;
      PLB_MSSize : in std_logic_vector(0 to 1);
      PLB_MRearbitrate : in std_logic;
      PLB_MBusy : in std_logic;
      PLB_MErr : in std_logic;
      PLB_MWrDAck : in std_logic;
      PLB_MRdDBus : in std_logic_vector(0 to (C_PLB_DWIDTH-1));
      PLB_MRdWdAddr : in std_logic_vector(0 to 3);
      PLB_MRdDAck : in std_logic;
      PLB_MRdBTerm : in std_logic;
      PLB_MWrBTerm : in std_logic;
      M_request : out std_logic;
      M_priority : out std_logic_vector(0 to 1);
      M_busLock : out std_logic;
      M_RNW : out std_logic;
      M_BE : out std_logic_vector(0 to ((C_PLB_DWIDTH/8)-1));
      M_MSize : out std_logic_vector(0 to 1);
      M_size : out std_logic_vector(0 to 3);
      M_type : out std_logic_vector(0 to 2);
      M_compress : out std_logic;
      M_guarded : out std_logic;
      M_ordered : out std_logic;
      M_lockErr : out std_logic;
      M_abort : out std_logic;
      M_ABus : out std_logic_vector(0 to (C_PLB_AWIDTH-1));
      M_wrDBus : out std_logic_vector(0 to (C_PLB_DWIDTH-1));
      M_wrBurst : out std_logic;
      M_rdBurst : out std_logic;
      EmacClientRxd : in std_logic_vector(7 downto 0);
      EmacClientRxdVld : in std_logic;
      EmacClientRxdVldMsw : in std_logic;
      EmacClientRxGoodFrame : in std_logic;
      EmacClientRxBadFrame : in std_logic;
      EmacClientRxFrameDrop : in std_logic;
      EmacClientRxdVreg6 : in std_logic;
      EmacClientRxStats : in std_logic_vector(6 downto 0);
      EmacClientRxStatsByteVld : in std_logic;
      EmacClientRxStatsVld : in std_logic;
      ClientEmacTxd : out std_logic_vector(7 downto 0);
      ClientEmacTxdVld : out std_logic;
      ClientEmacTxdVldMsw : out std_logic;
      EmacClientTxAck : in std_logic;
      ClientEmacTxUnderRun : out std_logic;
      EmacClientTxCollision : in std_logic;
      EmacClientTxRetransmit : in std_logic;
      ClientEmacTxFirstByte : out std_logic;
      EmacClientTxStats : in std_logic;
      EmacClientTxStatsByteVld : in std_logic;
      EmacClientTxStatsVld : in std_logic;
      ClientEmacPauseReq : out std_logic;
      ClientEmacPauseVal : out std_logic_vector(15 downto 0);
      RX_CLIENT_CLK : in std_logic;
      TX_CLIENT_CLK : in std_logic;
      EmacClientAnInterrupt : in std_logic;
      HostOpCode : out std_logic_vector(1 downto 0);
      HostReq : out std_logic;
      HostMiimSel : out std_logic;
      HostAddr : out std_logic_vector(9 downto 0);
      HostWrData : out std_logic_vector(31 downto 0);
      HostMiimRdy : in std_logic;
      HostRdData : in std_logic_vector(31 downto 0);
      HostEmac1Sel : out std_logic;
      HostClk : out std_logic;
      Prv_Host_Req : in std_logic;
      Prv_Host_Addr : in std_logic_vector(22 to 31);
      Prv_Host_Rd_Req : in std_logic;
      Prv_Host_Rd_Ack : out std_logic;
      Prv_Host_Rd_Data : out std_logic_vector(0 to 31);
      Prv_Host_Wr_Req : in std_logic;
      Prv_Host_Wr_Ack : out std_logic;
      Prv_MiiMngmntOpPend : out std_logic;
      Prv_MiiMngmntOpDone : out std_logic;
      Prv_Host_Wr_Data : in std_logic_vector(0 to 31);
      Cmd_Host_Req : out std_logic;
      Cmd_Host_Addr : out std_logic_vector(22 to 31);
      Cmd_Host_Rd_Req : out std_logic;
      Cmd_Host_Rd_Ack : in std_logic;
      Cmd_Host_Rd_Data : in std_logic_vector(0 to 31);
      Cmd_Host_Wr_Req : out std_logic;
      Cmd_Host_Wr_Ack : in std_logic;
      Cmd_MiiMngmntOpPend : in std_logic;
      Cmd_MiiMngmntOpDone : in std_logic;
      Cmd_Host_Wr_Data : out std_logic_vector(0 to 31);
      Emac_Reset : out std_logic;
      PhyResetN : out std_logic
    );
  end component;

  attribute x_core_info : STRING;
  attribute x_core_info of plb_temac : component is "plb_temac_v3_00_a";

begin

  trimode_mac_gmii : plb_temac
    generic map (
      C_DEV_BLK_ID => 1,
      C_PLB_CLK_PERIOD_PS => 10000,
      C_FAMILY => "virtex4",
      C_TXFIFO_DEPTH => 131072,
      C_RXFIFO_DEPTH => 131072,
      C_MAC_FIFO_DEPTH => 64,
      C_BASEADDR => X"81200000",
      C_HIGHADDR => X"8120ffff",
      C_INCLUDE_RX_CSUM => 1,
      C_INCLUDE_TX_CSUM => 1,
      C_INCLUDE_DEV_MIR => 1,
      C_RX_DRE_TYPE => 2,
      C_TX_DRE_TYPE => 2,
      C_DMA_TYPE => 3,
      C_PLB_NUM_MASTERS => 3,
      C_PLB_MID_WIDTH => 2,
      C_PLB_AWIDTH => 32,
      C_PLB_DWIDTH => 64,
      C_TEMAC_INST => 0,
      C_TEMAC_BOTH_USED => 0
    )
    port map (
      PLB_Clk => PLB_Clk,
      PLB_Rst => PLB_Rst,
      IP2INTC_Irpt => IP2INTC_Irpt,
      PLB_ABus => PLB_ABus,
      PLB_PAValid => PLB_PAValid,
      PLB_SAValid => PLB_SAValid,
      PLB_rdPrim => PLB_rdPrim,
      PLB_wrPrim => PLB_wrPrim,
      PLB_masterID => PLB_masterID,
      PLB_abort => PLB_abort,
      PLB_busLock => PLB_busLock,
      PLB_RNW => PLB_RNW,
      PLB_BE => PLB_BE,
      PLB_MSize => PLB_MSize,
      PLB_size => PLB_size,
      PLB_type => PLB_type,
      PLB_compress => PLB_compress,
      PLB_guarded => PLB_guarded,
      PLB_ordered => PLB_ordered,
      PLB_lockErr => PLB_lockErr,
      PLB_wrDBus => PLB_wrDBus,
      PLB_wrBurst => PLB_wrBurst,
      PLB_rdBurst => PLB_rdBurst,
      PLB_pendReq => PLB_pendReq,
      PLB_pendPri => PLB_pendPri,
      PLB_reqPri => PLB_reqPri,
      Sl_addrAck => Sl_addrAck,
      Sl_SSize => Sl_SSize,
      Sl_wait => Sl_wait,
      Sl_rearbitrate => Sl_rearbitrate,
      Sl_wrDAck => Sl_wrDAck,
      Sl_wrComp => Sl_wrComp,
      Sl_wrBTerm => Sl_wrBTerm,
      Sl_rdDBus => Sl_rdDBus,
      Sl_rdWdAddr => Sl_rdWdAddr,
      Sl_rdDAck => Sl_rdDAck,
      Sl_rdComp => Sl_rdComp,
      Sl_rdBTerm => Sl_rdBTerm,
      Sl_MBusy => Sl_MBusy,
      Sl_MErr => Sl_MErr,
      PLB_MAddrAck => PLB_MAddrAck,
      PLB_MSSize => PLB_MSSize,
      PLB_MRearbitrate => PLB_MRearbitrate,
      PLB_MBusy => PLB_MBusy,
      PLB_MErr => PLB_MErr,
      PLB_MWrDAck => PLB_MWrDAck,
      PLB_MRdDBus => PLB_MRdDBus,
      PLB_MRdWdAddr => PLB_MRdWdAddr,
      PLB_MRdDAck => PLB_MRdDAck,
      PLB_MRdBTerm => PLB_MRdBTerm,
      PLB_MWrBTerm => PLB_MWrBTerm,
      M_request => M_request,
      M_priority => M_priority,
      M_busLock => M_busLock,
      M_RNW => M_RNW,
      M_BE => M_BE,
      M_MSize => M_MSize,
      M_size => M_size,
      M_type => M_type,
      M_compress => M_compress,
      M_guarded => M_guarded,
      M_ordered => M_ordered,
      M_lockErr => M_lockErr,
      M_abort => M_abort,
      M_ABus => M_ABus,
      M_wrDBus => M_wrDBus,
      M_wrBurst => M_wrBurst,
      M_rdBurst => M_rdBurst,
      EmacClientRxd => EmacClientRxd,
      EmacClientRxdVld => EmacClientRxdVld,
      EmacClientRxdVldMsw => EmacClientRxdVldMsw,
      EmacClientRxGoodFrame => EmacClientRxGoodFrame,
      EmacClientRxBadFrame => EmacClientRxBadFrame,
      EmacClientRxFrameDrop => EmacClientRxFrameDrop,
      EmacClientRxdVreg6 => EmacClientRxdVreg6,
      EmacClientRxStats => EmacClientRxStats,
      EmacClientRxStatsByteVld => EmacClientRxStatsByteVld,
      EmacClientRxStatsVld => EmacClientRxStatsVld,
      ClientEmacTxd => ClientEmacTxd,
      ClientEmacTxdVld => ClientEmacTxdVld,
      ClientEmacTxdVldMsw => ClientEmacTxdVldMsw,
      EmacClientTxAck => EmacClientTxAck,
      ClientEmacTxUnderRun => ClientEmacTxUnderRun,
      EmacClientTxCollision => EmacClientTxCollision,
      EmacClientTxRetransmit => EmacClientTxRetransmit,
      ClientEmacTxFirstByte => ClientEmacTxFirstByte,
      EmacClientTxStats => EmacClientTxStats,
      EmacClientTxStatsByteVld => EmacClientTxStatsByteVld,
      EmacClientTxStatsVld => EmacClientTxStatsVld,
      ClientEmacPauseReq => ClientEmacPauseReq,
      ClientEmacPauseVal => ClientEmacPauseVal,
      RX_CLIENT_CLK => RX_CLIENT_CLK,
      TX_CLIENT_CLK => TX_CLIENT_CLK,
      EmacClientAnInterrupt => EmacClientAnInterrupt,
      HostOpCode => HostOpCode,
      HostReq => HostReq,
      HostMiimSel => HostMiimSel,
      HostAddr => HostAddr,
      HostWrData => HostWrData,
      HostMiimRdy => HostMiimRdy,
      HostRdData => HostRdData,
      HostEmac1Sel => HostEmac1Sel,
      HostClk => HostClk,
      Prv_Host_Req => Prv_Host_Req,
      Prv_Host_Addr => Prv_Host_Addr,
      Prv_Host_Rd_Req => Prv_Host_Rd_Req,
      Prv_Host_Rd_Ack => Prv_Host_Rd_Ack,
      Prv_Host_Rd_Data => Prv_Host_Rd_Data,
      Prv_Host_Wr_Req => Prv_Host_Wr_Req,
      Prv_Host_Wr_Ack => Prv_Host_Wr_Ack,
      Prv_MiiMngmntOpPend => Prv_MiiMngmntOpPend,
      Prv_MiiMngmntOpDone => Prv_MiiMngmntOpDone,
      Prv_Host_Wr_Data => Prv_Host_Wr_Data,
      Cmd_Host_Req => Cmd_Host_Req,
      Cmd_Host_Addr => Cmd_Host_Addr,
      Cmd_Host_Rd_Req => Cmd_Host_Rd_Req,
      Cmd_Host_Rd_Ack => Cmd_Host_Rd_Ack,
      Cmd_Host_Rd_Data => Cmd_Host_Rd_Data,
      Cmd_Host_Wr_Req => Cmd_Host_Wr_Req,
      Cmd_Host_Wr_Ack => Cmd_Host_Wr_Ack,
      Cmd_MiiMngmntOpPend => Cmd_MiiMngmntOpPend,
      Cmd_MiiMngmntOpDone => Cmd_MiiMngmntOpDone,
      Cmd_Host_Wr_Data => Cmd_Host_Wr_Data,
      Emac_Reset => Emac_Reset,
      PhyResetN => PhyResetN
    );

end architecture STRUCTURE;

